import { RouterView } from 'vue-router';

export default {
    path: '/entry',
    name: 'Entry',
    meta: {
        title: 'entries',
        icon: 'vn:entry',
    },
    component: RouterView,
    redirect: { name: 'EntryMain' },
    menus: {
        main: ['EntryList'],
        card: [],
    },
    children: [
        {
            path: '',
            name: 'EntryMain',
            component: () => import('src/pages/Entry/EntryMain.vue'),
            redirect: { name: 'EntryList' },
            children: [
                {
                    path: 'list',
                    name: 'EntryList',
                    meta: {
                        title: 'list',
                        icon: 'view_list',
                    },
                    component: () => import('src/pages/Entry/EntryList.vue'),
                },
                {
                    path: 'create',
                    name: 'EntryCreate',
                    meta: {
                        title: 'create',
                    },
                    component: () => import('src/pages/Entry/EntryCreate.vue'),
                },
            ],
        },
        // {
        //     name: 'EntryCard',
        //     path: ':id',
        //     component: () => import('src/pages/Entry/Card/EntryCard.vue'),
        //     redirect: { name: 'EntrySummary' },
        //     children: [
        //         {
        //             name: 'EntrySummary',
        //             path: 'summary',
        //             meta: {
        //                 title: 'summary',
        //                 icon: 'launch',
        //             },
        //             component: () =>
        //                 import('src/pages/Entry/Card/EntrySummary.vue'),
        //         },
        //     ],
        // },
    ],
};
